package com.hive.config.netty;

import com.hive.communication.util.NettyServerUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Slf4j
@Configuration
public class NettyHiveServerConfig {
    @Value(value = "${hive-server.port}")
    private int port;
    @Bean
    public void initServer(){
        NettyServerUtil.setPort(port);
    }
}
